Subject: bug#28596: 26.0.60; [Gnus] Checking mail is no longer reliable and C-g no longer quits

From: Eli Zaretskii <[email-masked]>
Date: Mon, 04 Dec 2017 19:56:43 +0200

> From: [email-masked] (N. Jackson)
> Cc: [email-masked],  [email-masked]
> Date: Mon, 04 Dec 2017 12:14:51 -0500
> 
> Hello Eli,
> 
> At 19:40 +0200 on Saturday 2017-12-02, Eli Zaretskii wrote:
> >
> > Any news on this? Is this problem still present in the Emacs
> > 26.0.90 pretest?
> 
> Yes, the problem is still present with the 26.0.90 pretest. I ran
> that for three weeks and the problem happened almost every day.
> 
> Then I went back to using Emacs 25 out of frustration.
> 
> No, sorry, no news. I wasn't able to get any traction on debugging
> it; that would be so much easier if the code were in C! (I am
> perennially unsuccessful when I try to get the Elisp debugger to
> function the way I think it ought to, probably because I don't
> understand the way it is supposed to work.)
> 
> However, I had forgotten (or never saw) your suggestions to
> 
>   "try setting url-asynchronous to nil when fetching news... [o]r
>   maybe even build Emacs with HAVE_GETADDRINFO_A undefined"
> 
> and I will try that with 26.0.90 these next days.
> 
> Additionally, I am almost convinced that the problem is that Gnus
> gets into an ambiguous state where part of it thinks it is
> "unplugged" and part of it thinks it's "plugged", and that it
> never even tries to retrieve the news in the cases where it seems
> to be "broken".
> 
> Furthermore, I now believe that the hang that I had been observing
> was just Bug 16026 / Bug 16906 and that I failed to recognise it
> because I was too confused by the strange behaviour resulting from
> this current bug.

Lars, can you help us here?  I'd hate to release Emacs 26.1 with this
annoying problem.  Can we do something to have a solution or at least
a reasonably convenient band-aid?

Thanks.